.floating-sidebar-box {
  position: fixed;
  bottom: 100px;
  right: 0;
  border-radius: 12px;
  width: 98px;
  background-color: #fff;
  text-align: center;
  font-size: 12px;
  color: #6c6c76;
  padding: 0 6px;
  box-shadow: 0px 4px 10px 0px rgba(0, 0, 0, 0.06);
  z-index: 99;
}

.floating-sidebar-box--high {
  bottom: 200px;
}

.floating-sidebar a,
.floating-sidebar div {
  color: #222222;
  font-size: 14px;
  margin: 22px 0;
  display: block;
  position: relative;
  cursor: pointer;
}

.floating-sidebar .iconfont {
  display: block;
  width: 36px;
  height: 36px;
  background: #222222;
  color: #fff;
  border-radius: 20px;
  line-height: 36px;
  margin: auto;
  margin-bottom: 10px;
}

.floating-sidebar a:hover,
.floating-sidebar div:hover {
  color: #11aa2b;
}

.floating-sidebar a:hover .iconfont,
.floating-sidebar div:hover .iconfont {
  background: #11aa2b;
}

.floating-sidebar a.E-mail:hover .mail,
.floating-sidebar a.whatsApp:hover .whats-num {
  display: block;
}

.floating-sidebar a.E-mail .mail::after,
.floating-sidebar a.whatsApp .whats-num::after {
  content: '';
  position: absolute;
  right: -14px;
  top: 50%;
  transform: translateY(-50%);
  border-width: 12px 0 12px 18px;
  border-style: solid;
  border-color: transparent transparent transparent #fff;
}

.floating-sidebar a .mail,
.floating-sidebar a .whats-num {
  display: none;
  position: absolute;
  top: -20px;
  background: #ffffff;
  height: 54px;
  box-shadow: 0px 4px 10px 0px rgba(0, 0, 0, 0.1);
  text-align: center;
  line-height: 54px;
  font-size: 18px;
  font-weight: 600;
  color: #222;
  border-radius: 12px;
}

.floating-sidebar a .mail {
  left: -260px;
  width: 230px;
}

.floating-sidebar a .whats-num {
  left: -225px;
  width: 190px;
}

.floating-sidebar .top-btn {
  display: none;
  transition: opacity 0.3s ease;
}

.floating-sidebar .top-btn.visible {
  display: block;
}
